CorrelSolutionCollection Class

class NXOpen.CAE.CorrelSolutionCollection

Bases: object

Represents a collection of correl meta solution

To obtain an instance of this class, refer to NXOpen.CAE.CorrelManager

New in version NX6.0.0.

Properties

Property Description
ActiveSolution Returns or sets the active solution

Methods

Method Description
CloneSolution Clones a correl meta solution @return the newly created NXOpen.CAE.CorrelSolution
CreateComacViewerBuilder Creates the builder object of correl comac matrix viewer @return
CreateShapeMetricViewerBuilder Creates the builder object of correl shape metric viewer @return
CreateSolutionBuilder Creates the builder object of correl meta solution @return
FindObject Finds a correl meta solution with specified solution name @return Correlation metasolution found
GetValidSolutionName Returns next valid correlation solution name @return a NXOpen.CAE.CorrelSolution valid name

Property Detail

ActiveSolution

CorrelSolutionCollection.ActiveSolution

Returns or sets the active solution

-------------------------------------

Getter Method

Signature ActiveSolution()

Returns:
Return type:NXOpen.CAE.CorrelSolution

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ActiveSolution(activeSolution)

Parameters:activeSolution (NXOpen.CAE.CorrelSolution) –

New in version NX5.0.0.

License requirements: None.

Method Detail

CloneSolution

CorrelSolutionCollection.CloneSolution

Clones a correl meta solution

Signature CloneSolution(oldSolution, suggestedName)

Parameters:
Returns:

the newly created NXOpen.CAE.CorrelSolution

Return type:

NXOpen.CAE.CorrelSolution

New in version NX5.0.0.

License requirements: None.

CreateComacViewerBuilder

CorrelSolutionCollection.CreateComacViewerBuilder

Creates the builder object of correl comac matrix viewer

Signature CreateComacViewerBuilder()

Returns:
Return type:NXOpen.CAE.ComacViewerBuilder

New in version NX6.0.0.

License requirements: nx_correl_base (“FE Correlation”)

CreateShapeMetricViewerBuilder

CorrelSolutionCollection.CreateShapeMetricViewerBuilder

Creates the builder object of correl shape metric viewer

Signature CreateShapeMetricViewerBuilder(solution)

Parameters:solution (NXOpen.CAE.CorrelSolution) – Correlation setup
Returns:
Return type:NXOpen.CAE.ShapeMetricViewerBuilder

New in version NX7.5.0.

License requirements: nx_correl_base (“FE Correlation”)

CreateSolutionBuilder

CorrelSolutionCollection.CreateSolutionBuilder

Creates the builder object of correl meta solution

Signature CreateSolutionBuilder(solution)

Parameters:solution (NXOpen.CAE.CorrelSolution) –
Returns:
Return type:NXOpen.CAE.CorrelSolutionBuilder

New in version NX5.0.0.

License requirements: None.

FindObject

CorrelSolutionCollection.FindObject

Finds a correl meta solution with specified solution name

Signature FindObject(solutionName)

Parameters:solutionName (str) – Solution to be found
Returns:Correlation metasolution found
Return type:NXOpen.CAE.CorrelSolution

New in version NX5.0.0.

License requirements: None.

GetValidSolutionName

CorrelSolutionCollection.GetValidSolutionName

Returns next valid correlation solution name

Signature GetValidSolutionName()

Returns:a NXOpen.CAE.CorrelSolution valid name
Return type:str

New in version NX5.0.0.

License requirements: None.